GWParserInternal::State Struct Reference

Internal: the state of a GWParser. More...

## Public Member Functions

| State ()
| constructor More...
int | numHeaderFooters () const
| returns the number of expected header/footer zones More...
MWAWSection | getSection () const
| returns a section More...

## Public Attributes

GWParser::DocType | m_docType
| the document type More...
std::vector< double > | m_columnsWidth
| the columns dimension More...
bool | m_hfFlags [4]
| flags to define header/footer (titlePage, l/rPage, header, footer) More...
bool | m_hasColSep
| true if columns have columns separator More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
int | m_headerHeight
| the header height if known More...
int | m_footerHeight
| the footer height if known More...

## Detailed Description

Internal: the state of a GWParser.

## Constructor & Destructor Documentation

GWParserInternal::State::State | ( |  | ) |

inline

constructor

## Member Function Documentation

MWAWSection GWParserInternal::State::getSection | ( |  | ) | const

inline

returns a section

int GWParserInternal::State::numHeaderFooters | ( |  | ) | const

inline

returns the number of expected header/footer zones

## Member Data Documentation

int GWParserInternal::State::m_actPage

the actual page

std::vector<double> GWParserInternal::State::m_columnsWidth

the columns dimension

Referenced by getSection().

GWParser::DocType GWParserInternal::State::m_docType

the document type

int GWParserInternal::State::m_footerHeight

the footer height if known

bool GWParserInternal::State::m_hasColSep

true if columns have columns separator

Referenced by getSection().

int GWParserInternal::State::m_headerHeight

the header height if known

bool GWParserInternal::State::m_hfFlags[4]

flags to define header/footer (titlePage, l/rPage, header, footer)

Referenced by numHeaderFooters(), and State().

int GWParserInternal::State::m_numPages

the number of page of the final document

The documentation for this struct was generated from the following file:

- GWParser.cxx